Upstream information

CVE-2015-3420 at MITRE

Description

The ssl-proxy-openssl.c function in Dovecot before 2.2.17, when SSLv3 is disabled, allow remote attackers to cause a denial of service (login process crash) via vectors related to handshake failures.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 928886 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 SP4 dovecot Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 dovecot22 Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 dovecot Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 dovecot22 Already fixed
SUSE Linux Enterprise Module for Server Applications 15 dovecot Not affected
SUSE Linux Enterprise Module for Server Applications 15 dovecot23 Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP1 dovecot Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 dovecot23 Already fixed
SUSE Linux Enterprise Server 12 SP1 LTSS dovecot Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS dovecot22 Already fixed
SUSE Linux Enterprise Server 12 SP2 LTSS dovecot Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS dovecot22 Already fixed
SUSE Linux Enterprise Server 12 SP3 LTSS dovecot Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS dovecot22 Already fixed
SUSE Linux Enterprise Server 12 SP4 dovecot Not affected
SUSE Linux Enterprise Server 12 SP4 dovecot22 Already fixed
SUSE Linux Enterprise Server 12 SP5 dovecot Not affected
SUSE Linux Enterprise Server 12 SP5 dovecot22 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP2 dovecot Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 dovecot22 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 dovecot Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 dovecot22 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dovecot Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dovecot22 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 dovecot Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 dovecot22 Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP4 dovecot22 Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 dovecot22 Already fixed